#include <cmath>
#include<iostream>
#include <vector>

std::ostream& operator<<(std::ostream &os,const std::vector<int> &v){
    os<<"vector { ";
    for(int i=0;i<v.size()-1;i++){
        os<<v[i]<<" ,";
    }
    os<<v[v.size()-1]<<" }";
    return os;
}

template<typename ...Args>
void print(const Args& ...args){
    ((std::cout<<args),...);
}

template<typename ...Args>
void println(const Args& ...args){
    (print(args," "),...);
    print("\n");
}

#define NAME_VALUE(v)#v,":",(v)

int main(){
    println("Hello,World!","-by","Zengtudor");
    println("End");
    println(NAME_VALUE(std::pow(2,10)));
    println(NAME_VALUE((int)0x7FFFFFFF));
    std::vector<int> v(10);
    v[0]=1;
    for(int i=1;i<v.size();i++){
        v[i]=(v[i-1]*3+2)%49;
    }
    println(v);
}
